<div class='card'>
    <div class="card-body">
        <form [formGroup]="customerForm" (ngSubmit)="onSubmit()">
            <div class="form-group row">
                <label class="col-sm-2 col-form-label">First Name</label>
                <div class="col-sm-10">
                    <input type="text" formControlName="firstName" class="form-control" placeholder="First Name (required)" [ngClass]="{'is-invalid': (customerForm.get('firstName').touched || customerForm.get('firstName').dirty)
                    && !customerForm.get('firstName').valid}">
                    <div class="invalid-feedback" *ngIf="customerForm.get('firstName').errors?.required">
                        Please enter your first name.
                    </div>
                    <div class="invalid-feedback" *ngIf="customerForm.get('firstName').errors?.minlength">
                        The first name must be greater than 2 characters.
                    </div>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-sm-2 col-form-label">Last Name</label>
                <div class="col-sm-10">
                    <input type="text" formControlName="lastName" class="form-control" placeholder="Last Name (required)" [ngClass]="{'is-invalid': (customerForm.get('lastName').touched || customerForm.get('lastName').dirty)
                  && !customerForm.get('lastName').valid}">
                    <div class="invalid-feedback" *ngIf="customerForm.get('lastName').errors?.required">
                        Please enter your last name.
                    </div>
                    <div class="invalid-feedback" *ngIf="customerForm.get('lastName').errors?.minlength">
                        The last name must be greater than 2 characters.
                    </div>
                </div>
            </div>
            <div formGroupName="emailGroup">
                <div class="form-group row">
                    <label class="col-sm-2 col-form-label">Email</label>
                    <div class="col-sm-10">
                        <input type="text" formControlName="email" class="form-control" placeholder="Email (required)" [ngClass]="{'is-invalid': customerForm.get('emailGroup').errors || ((customerForm.get('emailGroup.email').touched || customerForm.get('emailGroup.email').dirty)  && !customerForm.get('emailGroup.email').valid)}">
                        <div class="invalid-feedback" *ngIf="customerForm.get('emailGroup.email').errors?.required">
                            Please enter your email.
                        </div>
                        <div class="invalid-feedback" *ngIf="customerForm.get('emailGroup.email').errors?.email">
                            Please enter a valid email address.
                        </div>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-2 col-form-label">Confirm Email</label>
                    <div class="col-sm-10">
                        <input type="text" formControlName="confirmEmail" class="form-control" placeholder="Confirm Email (required)" [ngClass]="{'is-invalid': customerForm.get('emailGroup').errors || ((customerForm.get('emailGroup.confirmEmail').touched || customerForm.get('emailGroup.confirmEmail').dirty)
                          && !customerForm.get('emailGroup.confirmEmail').valid)}">
                        <div class="invalid-feedback" *ngIf="customerForm.get('emailGroup').errors?.match">
                            The confirmation does not match the email address.
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-sm-2 col-form-label">Phone</label>
                <div class="col-sm-10">
                    <input type="text" formControlName="phone" class="form-control" placeholder="Phone" [ngClass]="{'is-invalid': (customerForm.get('phone').touched || customerForm.get('phone').dirty)
                && !customerForm.get('phone').valid}">
                    <div class="invalid-feedback" *ngIf="customerForm.get('phone').errors?.required">
                        Please enter your phone.
                    </div>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-sm-2 col-form-label">Send Notification</label>
                <div class="form-check form-check-inline">
                    <input class="form-check-input" type="radio" value="email" formControlName="notification" (click)="setValiatorBasOnNotification('email')">
                    <label class="form-check-label" for="inlineRadio1">Email</label>
                </div>
                <div class="form-check form-check-inline">
                    <input class="form-check-input" type="radio" value="text" formControlName="notification" (click)="setValiatorBasOnNotification('text')">
                    <label class="form-check-label" for="inlineRadio1">Text</label>
                </div>
            </div>

            <div class="form-group row">
                <label class="col-sm-2 col-form-label">Rating</label>
                <div class="col-sm-10">
                    <input type="number" formControlName="rating" class="form-control" placeholder="Rating (required)" [ngClass]="{'is-invalid': (customerForm.get('rating').touched || customerForm.get('rating').dirty)
              && !customerForm.get('rating').valid}">
                    <div class="invalid-feedback" *ngIf="customerForm.get('rating').errors?.range">
                        Please rate your experience from 1 to 5.
                    </div>
                </div>
            </div>
            <button type="submit" class="btn btn-primary" [disabled]="!customerForm.valid">Save</button>
            <button style="margin-left: 2%;" class="btn btn-primary" (click)="fillSimpleFormData()">Test Data</button>
        </form>
        <div>
            <ul>
                <li>touched: {{customerForm.touched}}</li>
                <li>dirty: {{customerForm.dirty}}</li>
                <li>valid: {{customerForm.valid}}</li>
                <!-- <li>{{customerForm }}</li> -->
            </ul>
        </div>
    </div>
</div>
